%define anolis_release 1
%define debug_package %{nil}
%global kernel_version %(rpm -qa kernel-devel | sed -e 's/kernel-devel-//g')
%define USDM_release 00004

Summary: USDM (Kernel module)
Name: kmod-usdm
Version: L.0.9.4
Release: %{USDM_release}.%{anolis_release}%{dist}
License: BSD and (BSD or GPLv2)
Source: kmod-intel-QAT20-L.0.9.4-00004.tar.gz
Patch1000: 1000-bugfix-support-5.10.patch
Patch1001: 1001-bugfix-split-qat-vdcm-module.patch
Patch1002: 1002-bugfix-crash-of-rmmod-vdcm.patch
Patch1003: 1003-bugfix-ring-pair-reset-failure.patch
Patch2001: 1004-add-usdm-owned-qdm.patch

BuildRequires: gcc gcc-c++ make systemd-devel openssl-devel zlib-devel yasm
BuildRequires: libudev-devel >= 1.47
BuildRequires: kernel-devel >= 5.10.112
BuildRequires: kernel-core >= 5.10.112
BuildRequires: boost-devel
Provides: kmod-usdm-driver = %{version}-%{release}
Obsoletes: kmod-usdm-driver <  %{version}-%{release}
ExclusiveArch: x86_64

%description
Intel(R) user space direct memory library
version %{version}

%prep
%autosetup -c kmod-intel-QAT20-L.0.9.4 -p1

%build
unset ICP_ROOT ICP_ARCH_USER ICP_BUILDSYSTEM_PATH ICP_BUILD_OUTPUT ICP_ENV_DIR ICP_TOOLS_TARGET
%configure
%make_build quickassist-all

%install
rm -rf %{buildroot}
KERNEL_VER=%{kernel_version}
mkdir -p %{buildroot}/lib/modules/${KERNEL_VER}/kernel

/usr/bin/install -D -m 750 build/usdm_drv.ko %{buildroot}/lib/modules/${KERNEL_VER}/kernel/

%clean
rm -rf $RPM_BUILD_ROOT

%verifyscript

%files
/lib/modules/%{kernel_version}/kernel/usdm_drv.ko

%post
ECHO=/usr/bin/echo
${ECHO} "Creating module.dep file for QAT released kernel object"
${ECHO} "This will take a few moments";
depmod -a
${ECHO} "%{name}-driver-%{version}-%{release} is installed!";

%postun
depmod -a

%changelog
* Mon Jul 31 2023 Kun(llfl) <llfl@linux.alibaba.com> - 0.9.4-00004.1
- inital build
